Skip to main content
POST
/
opengdpr_requests
/
{appId}
curl --request POST \ --url 'https://api-0{X}.moengage.com/v1/opengdpr_requests/{appId}' \ --header 'Authorization: Basic Base64_ENCODED_APPKEY_APIKEY' \ --header 'Content-Type: application/json' \ --data '{ "request_type": "erasure", "submitted_time": "2018-10-05T15:00:00Z", "identities": [ { "identity_type": "email", "identity_value": "johndoe@example.com" } ], "api_version": "1.0" }'
{
  "status": "success",
  "message": "Your request has been accepted and will be processed soon.",
  "request_id": "a7551968-d5d6-44b2-9831-815ac9017798"
}

Rate Limit

The maximum limit per request is 100 KB. The maximum payload size is 128 KB.
Important Note on Deletion: Multiple users cannot be deleted using this API in a single payload. If an email ID associated with multiple users is passed for an erasure request, all associated users will be deleted.

Authorizations

Authorization
string
header
required

Erase API uses basic authentication to control access to your data.

The API request will be authenticated through Basic Authentication. Basic Authentication sends a Base64-encoded string containing your username and password with every API request. It encodes a 'username:password' string in Base64 and appends the encoded string with 'Basic '. This string is included in the authorization header as shown below:

{"Authorization: Basic Base64_ENCODED_APPKEY_APIKEY=="}

You can obtain the username and password details from the MoEngage Dashboard.

  1. Navigate to Settings -> Account -> APIs.
  2. Click Generate Key in the Data tile in the API Keys section, and click Save.
  3. Use the Workspace ID as the username and the Data API Key as the password to generate the authentication header.

Headers

Content-Type
string
required

Set the Content-Type header to application/json.

Path Parameters

appId
string
required

This is your MoEngage account's Workspace ID that must be included in the request. You can find your Workspace ID in the following navigation on the dashboard: Revamped UI: Settings > Account > APIs > Workspace ID

Body

application/json

The GDPR/CCPA request payload, containing the type of request and the user identities. The maximum payload size is 100kb.

The main object representing a GDPR or CCPA compliance request.

request_type
string
required

This is used to request for GDPR details or request to erase the GDPR details

Example:

"erasure"

submitted_time
string<date-time>
required

This identifies the time when the request was sent.

Example:

"2018-10-05T15:00:00Z"

identities
object[]
required

This provides the details of the user, such as email address, phone number, and so on.

api_version
string
required

This identifies the API version used to send the GDPR request.

Example:

"1.0"

Response

Success. This response is returned when the request is processed successfully.

Standard successful response object for a submitted GDPR request.

status
string
Example:

"success"

message
string

A human-readable message confirming the request was accepted.

Example:

"Your request has been accepted and will be processed soon."

request_id
string<uuid>

A unique ID generated for the submitted request.

Example:

"a7551968-d5d6-44b2-9831-815ac9017798"